trap [Exception] {
	break;
}

Add-Type -path ".\Pixa.Soundbridge.Library.dll";
"Connecting..."
$sb = new-object Pixa.Soundbridge.Library.SoundbridgeClient("192.168.0.6", 5555);
"Activating..."
$sb.IrDispatchCommand([Pixa.Soundbridge.Library.IrCommand]::PowerOn);

"Connecting Soundbridge to Server..."
$r = $sb.GetConnectedServer();
$r;
if($r -ne "GenericError") {
	$sb.ServerDisconnect();
};

$servers = $sb.ListServers();
$serverIndex = 0..($servers.Length - 1) | ? {$servers[$_] -eq "ALPHA: Nicholas:"};

if($serverIndex -eq $null) {
	"Couldn't find server";
	break;
};

$r = $sb.ServerConnect($serverIndex);
$r;
if(($r -eq "GenericError") -or ($r -eq "ConnectionFailedUnknown")) {
	$r;
	break;
}

"Finding Playlist..."
$playlists = $sb.ListPlaylists();
$playlistIndex = 0..($playlists.Length - 1) | ? {$playlists[$_] -eq "Everything"};

if($playlistIndex -eq $null) {
	"Couldn't find playlist"
	break;
};

$songs = $sb.ListPlaylistSongs($playlistIndex);
$startIndex = Get-Random -minimum 0 -maximum $songs.Length;

"Playing..."
$sb.QueueAndPlay($startIndex);
$sb.Shuffle($true);
$sb.Close();